Subject: Re: [CFT 6/8] net: macb: use resolved link config in mac_link_up()

From: Alexandre Belloni <[email-masked]>
Date: Mon, 24 Feb 2020 15:37:53 +0100

On 24/02/2020 13:15:20+0000, Russell King - ARM Linux admin wrote:
> On Thu, Feb 20, 2020 at 10:18:28AM +0000, Russell King - ARM Linux admin wrote:
> > On Wed, Feb 19, 2020 at 03:30:36PM +0100, Alexandre Belloni wrote:
> > > Hi,
> > > 
> > > On 17/02/2020 17:24:21+0000, Russell King wrote:
> > > > Convert the macb ethernet driver to use the finalised link
> > > > parameters in mac_link_up() rather than the parameters in mac_config().
> > > > 
> > > > Signed-off-by: Russell King <[email-masked]>
> > > > ---
> > > >  drivers/net/ethernet/cadence/macb.h      |  1 -
> > > >  drivers/net/ethernet/cadence/macb_main.c | 46 ++++++++++++++----------
> > > >  2 files changed, 27 insertions(+), 20 deletions(-)
> > > > 
> > > 
> > > I did test the series after rebasing on top of the at91rm9200 fix.
> 
> Okay, I've updated my series, which will appear in my "phy" branch
> later today.  However, what would you like me to do with the authorship
> on the updated patch (I haven't yet checked what the differences were),
> and can I add a tested-by to patch 1 for you?  I'll wait until you've
> replied before pushing it out.
> 

I don't mind you keeping the authorship. You can add the tested-by on
patch 1 and this one. Note that I've tested all three of the atmel
revisions of the IP.

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com